### Method

# GUPnP ServiceAction return_error

#### Declaration [src]

    void
    gupnp_service_action_return_error (
      GUPnPServiceAction* action,
      guint error_code,
      const char* error_description
    )

#### Description [src]

Return `error_code`.

#### Parameters

`error_code`

  Type: `guint`

  The error code.

`error_description`

  Type: `const char*`

  The error description, or `NULL` if `error_code` is one of #GUPNP_CONTROL_ERROR_INVALID_ACTION,

  # GUPNP_CONTROL_ERROR_INVALID_ARGS, #GUPNP_CONTROL_ERROR_OUT_OF_SYNC or

  # GUPNP_CONTROL_ERROR_ACTION_FAILED, in which case a description is

  provided automatically.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.